Results 1 to 3 of 3

Thread: Fresh install + updatemsf = fail

  1. #1
    Just burned his ISO
    Join Date
    Apr 2012
    Posts
    2

    Default Fresh install + updatemsf = fail

    Hello everyone. Let me start off by saying it's been quite some time since I've used backtrack (I think 3 was the last stable version I'd used) so I'm a bit behind. I was going to post this in the beginner's section, ut the sticky in that section indicated this kind of question should go here.
    At this point I've tried this a few different times & ways, just reverting to a snapshot on my VM of a fresh install upon failure, but that's failing me, SO. . .

    I've got a fresh install of BT5/Gnome. Metasploit works, things are nice. Of course metasploit is outdated, so I try to run msfupdate and it updates fine. I load msfconsole and try to use db_driver and it says it's an unknown command. That happened to me before, but from experience I knew that db_connect was still recognized. Tried that and I got "No Database Driver installed try gem install pg. Which of course I tried. That gave me an error saying it couldn't find libpq-fe.h. The file is there. Checked pg_config.bin which the ./configure said it was using & it lists INCLUDEDIR as /opt/framework3/postgresql/include/ and the file is in there. This makes no sense to me.

    No I can't think of anything else. All help is appreciated. Thanks in advance.
    Last edited by Primux; 04-16-2012 at 12:03 PM. Reason: Update

  2. #2
    Just burned his ISO
    Join Date
    Apr 2012
    Posts
    2

    Default Re: Fresh install + updatemsf = fail

    UPDATE: Got the issue with ruby fixed, not sure exactly how as I installed a ton of stuff, but now the problem is when I try
    Code:
    gem install pg
    I get an error telling me that it can't find libpq-fe.h BUT that's only when I run it from metasploit. If I run it directly from the command line it works fine.

    Any ideas? Google's shooting me in all kinds of directions, none of which actually cover my problem.

  3. #3
    Just burned his ISO
    Join Date
    Aug 2012
    Posts
    1

    Default Re: Fresh install + updatemsf = fail

    Quote Originally Posted by Primux View Post
    UPDATE: Got the issue with ruby fixed, not sure exactly how as I installed a ton of stuff, but now the problem is when I try
    Code:
    gem install pg
    I get an error telling me that it can't find libpq-fe.h BUT that's only when I run it from metasploit. If I run it directly from the command line it works fine.

    Any ideas? Google's shooting me in all kinds of directions, none of which actually cover my problem.
    I solved with an apt-get install libpq-dev

Similar Threads

  1. Nmap/Zenmap errors (fresh install of BT5 r2)
    By JudasIscariot in forum BackTrack 5 Bugs
    Replies: 4
    Last Post: 06-08-2012, 02:29 PM
  2. Fresh Install But Seeing No HDD
    By poidog in forum BackTrack 5 Beginners Section
    Replies: 1
    Last Post: 06-28-2011, 10:02 AM
  3. no wlan0? fresh install BT4R1, VM
    By falieson in forum Beginners Forum
    Replies: 1
    Last Post: 11-16-2010, 11:12 AM
  4. wlan0/eth0/network/dhcp Fail Fail Fail
    By DavidOfLondon in forum Beginners Forum
    Replies: 3
    Last Post: 09-01-2010, 08:51 AM
  5. Fresh Backtrack 3 hdd install - updating
    By elight in forum OLD Newbie Area
    Replies: 2
    Last Post: 12-24-2008, 01:24 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •